clang-tools 10.0.0

Public Attributes | List of all members
clang::include_fixer::IncludeFixerContext::HeaderInfo Struct Reference

`#include <IncludeFixerContext.h>`

Collaboration diagram for clang::include_fixer::IncludeFixerContext::HeaderInfo:
[legend]

## Public Attributes
std::string | Header
| The header where QualifiedName comes from. More...
std::string | QualifiedName
| A symbol name with completed namespace qualifiers which will replace the original symbol. More...

## Detailed Description

Definition at line 24 of file IncludeFixerContext.h.

## Member Data Documentation

## ◆ Header

std::string clang::include_fixer::IncludeFixerContext::HeaderInfo::Header

The header where QualifiedName comes from.

Definition at line 26 of file IncludeFixerContext.h.

Referenced by clang::include_fixer::IncludeFixerContext::IncludeFixerContext().

## ◆ QualifiedName

std::string clang::include_fixer::IncludeFixerContext::HeaderInfo::QualifiedName

A symbol name with completed namespace qualifiers which will replace the original symbol.

Definition at line 29 of file IncludeFixerContext.h.

Referenced by clang::include_fixer::IncludeFixerContext::IncludeFixerContext().

The documentation for this struct was generated from the following file:

- IncludeFixerContext.h